#ifndef PINS_H
#define PINS_H

// Key matrix
#define rowA 19
#define rowB 18
#define rowC 17
#define rowD 16
#define col1 3
#define col2 2
#define col3 1
#define col4 0

// Encoder buttons
#define leftEncoderButton 22
#define middleEncoderButton 12
#define rightEncoderButton 8

const byte allEncoderButtonPins[] = {leftEncoderButton, middleEncoderButton, rightEncoderButton};

// Encoders
#define leftKnobA 20
#define leftKnobB 21
#define middleKnobA 5
#define middleKnobB 4
#define rightKnobA 10
#define rightKnobB 9


const byte allButtonRowPins[] = {rowA, rowB, rowC, rowD};
const byte allButtonColumnPins[] = {col1, col2, col3, col4};






#endif
